Subject: bug#23006: 25.0.92; Loading Tramp breaks pcomplete in eshell-mode

From: Michael Albinus <[email-masked]>
Date: Tue, 22 Mar 2016 10:25:29 +0100

Stefan Monnier <[email-masked]> writes:

>> And I don't understand why Tramp shall refuse to provide file name
>> completion once the user has asked for this explicitely. Typing
>> "/ssh:host:tmp/em TAB" is a very convincing argument to me, that the
>> user wants a new connection to "host",
>
> We all agree.  And in that case, non-essential will be nil, so Tramp
> can open a connection.  It can even do that without the second slash.

As Dmitry has shown, there might be cases Tramp shall not open a new
connection even in this case (called from an idle timer). So we need a
distinction between "it is always blocked to open a new connection" and
"We recommend Tramp to open a new connection only when it is safe for
Tramp". One single value of non-essential doesn't fit this bill.

>         Stefan

Best regards, Michael.